﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ListViewDragDrop
{
    public class ViewModel : ObservableModel
    {
        private ObservableCollection<DataModel> _data;
        private Random rnd;

        public ObservableCollection<DataModel> Data
        {
            get
            {
                return _data;
            }
            set
            {
                _data = value;
                NotifyPropertyChanged();
            }
        }

        public ViewModel()
        {
            rnd = new Random();
            this.Data = new ObservableCollection<DataModel>();
            for (int i = 0; i < 40; i++)
            {
                this.Data.Add(new DataModel { Region = "Country" + i.ToString(), Country = "C" + i.ToString(), Coal = rnd.Next(0, 1000), Oil = rnd.Next(0, 1000), Gas = rnd.Next(0, 1000), Nuclear = rnd.Next(0, 1000), Hydro = rnd.Next(0, 1000) });
            }
        }
    }
}
